---
type: api
title: Disable streams
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-streams-disable
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-streams-disable
products:
  - Kibana
---

# Disable streams

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/streams/_disable`
- `POST` `/s/{space_id}/api/streams/_disable`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Disables wired streams and deletes all existing stream definitions. The data of wired streams is deleted, but the data of classic streams is preserved.<br/><br/>[Required authorization] Route required privileges: manage_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**

## Response

Streams were disabled successfully.

## Code Examples

#### Console

```console
POST /api/streams/_disable
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/streams/_disable" \
  -H "kbn-xsrf: true"
```

